<script>
import DesktopNavigation from './EventDesktopNavigation.vue';
import MobileNavigation from './EventMobileNavigation.vue';

export default {
  components: {
    DesktopNavigation,
    MobileNavigation,
  },
  props: {
    data: {
      required: true,
      type: Object,
      default: null,
    },
  },
};
</script>

<template>
  <header class="header">
    <div class="desktop-nav-wrapper">
      <DesktopNavigation :data="data" />
    </div>
    <div class="mobile-nav-wrapper">
      <MobileNavigation :data="data" />
    </div>
  </header>
</template>

<style lang="scss" scoped>
.header {
  padding: 13px $spacing-32;
  position: fixed;
  top: 0;
  z-index: 95;
  background: $color-surface-50;
  width: 100%;
}
.desktop-nav-wrapper {
  display: block;
}

.mobile-nav-wrapper {
  display: none;
}

@media (max-width: $breakpoint-md) {
  .header {
    position: fixed;
    top: 0;
    z-index: 95;
    background: $color-surface-50;
    width: 100%;
  }
  .desktop-nav-wrapper {
    display: none;
  }

  .mobile-nav-wrapper {
    display: block;
  }
}
</style>
